Fix namespace movable hook
Closed, ResolvedPublic

Description

Make sure it sets the type to boolean and does not mess with values unnecessarily. This was breaking a core test.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2016, 2:23 AM

Change 274620 had a related patch set uploaded (by Mattflaschen):
Have NamespaceIsMovable hook set NS_TOPIC to false and not touch others

https://gerrit.wikimedia.org/r/274620

Change 274620 merged by jenkins-bot:
Have NamespaceIsMovable hook set NS_TOPIC to false and not touch others

https://gerrit.wikimedia.org/r/274620

Etonkovidova added a subscriber: Etonkovidova.EditedMar 8 2016, 9:48 PM

Checked in betalabs: regression testing for Move Flow boards - all seem to be normal.

Note(unrelated to the ticket - about general Move Flow board functionality):

  1. There is no notifications to users that their watched pages (Flow- and wikitext-based) were moved. 'Recent changes' and 'Move log' have detailed records about moved pages.
  2. Watchlist shows the moved pages and a page to which it was moved.
  3. Flow-based pages still do not leave redirects.
  4. Searching for moved page(s) displays: "A page with this title has previously been deleted."
jmatazzoni closed this task as Resolved.Mar 11 2016, 8:54 PM